- entry_type: invariant_set
  metadata:
    format_version: '2.0'
    uuid: 8c3eef73-8689-4d65-a0c8-b707f649d7eb
    creation_time: '2024-11-08T23:38:58+01:00'
    producer:
      name: Automizer
      version: 0.2.5-?-c7c6ca5-m
    task:
      input_files:
      - /storage/repos/ultimate/releaseScripts/default/sv-benchmarks/c/hardness-nfm22/hardness_loopvsstraightlinecode_25-1loop_file-14.i
      input_file_hashes:
        ? /storage/repos/ultimate/releaseScripts/default/sv-benchmarks/c/hardness-nfm22/hardness_loopvsstraightlinecode_25-1loop_file-14.i
        : 3cc62b0a7b5ca086e8c61d00992860cd8ca304621a0a6299cced66b64f38849b
      specification: |+
        CHECK( init(main()), LTL(G ! call(reach_error())) )

      data_model: ILP32
      language: C
  content:
  - invariant:
      type: loop_invariant
      location:
        file_name: /storage/repos/ultimate/releaseScripts/default/sv-benchmarks/c/hardness-nfm22/hardness_loopvsstraightlinecode_25-1loop_file-14.i
        file_hash: 3cc62b0a7b5ca086e8c61d00992860cd8ca304621a0a6299cced66b64f38849b
        line: 105
        column: 2
        function: main
      value: '(((1 <= k_loop) && (((var_1_5 == last_1_var_1_12) && (last_1_var_1_9 != 0)) || ((last_1_var_1_9 == 0) && (((((((16 + var_1_7) + (var_1_8 * 65535)) >= 0) ? (((16 + var_1_7) + (var_1_8 * 65535)) % 65536) : ((((16 + var_1_7) + (var_1_8 * 65535)) % 65536) + 65536)) == var_1_5) && (((((16 + var_1_7) + (var_1_8 * 65535)) >= 0) ? (((16 + var_1_7) + (var_1_8 * 65535)) % 65536) : ((((16 + var_1_7) + (var_1_8 * 65535)) % 65536) + 65536)) <= 32767)) || (((65536 + var_1_5) == ((((16 + var_1_7) + (var_1_8 * 65535)) >= 0) ? (((16 + var_1_7) + (var_1_8 * 65535)) % 65536) : ((((16 + var_1_7) + (var_1_8 * 65535)) % 65536) + 65536))) && (32768 <= ((((16 + var_1_7) + (var_1_8 * 65535)) >= 0) ? (((16 + var_1_7) + (var_1_8 * 65535)) % 65536) : ((((16 + var_1_7) + (var_1_8 * 65535)) % 65536) + 65536)))))))) || (((((last_1_var_1_9 == 0) && (1000000 <= var_1_1)) && (0 <= k_loop)) && (var_1_9 == 0)) && (((long long) var_1_18 + 999744) <= var_1_1)))'
      format: c_expression
